Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.eclipse.model
[Groovy] Class EclipseModel

    java.lang.Object
      org.gradle.plugins.ide.eclipse.model.EclipseModel

    class EclipseModel

DSL-friendly model of the Eclipse project information. First point of entry when it comes to customizing the eclipse generation

     apply plugin: 'java'
     apply plugin: 'war'  //needed for wtp
     apply plugin: 'eclipse'

     eclipse {
       pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

       project {
         //see docs for EclipseProject
       }

       classpath {
         //see docs for EclipseClasspath
       }

       wtp {
         //see docs for EclipseWtp
       }
     }

More examples in docs for EclipseProject, EclipseClasspath, EclipseWtp @author: Szczepan Faber, created at: 4/13/11

Property Summary
`EclipseClasspath` | `classpath` Configures eclipse classpath information
`EclipseJdt` | `jdt` Configures eclipse java compatibility information (jdt)
`EclipseProject` | `project` Configures eclipse project information
`EclipseWtp` | `wtp` Configures eclipse wtp information

Method Summary
`void` | `classpath(Closure closure)` Configures eclipse classpath information
`void` | `jdt(Closure closure)` Configures eclipse java compatibility information (jdt)
`void` | `pathVariables(Map pathVariables)` Adds path variables to be used for replacing absolute paths in classpath entries.
`void` | `project(Closure closure)` Configures eclipse project information
`void` | `wtp(Closure closure)` Configures eclipse wtp information

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### classpath

    EclipseClasspath classpath

  Configures eclipse classpath information

  For examples see docs for EclipseClasspath

### jdt

    EclipseJdt jdt

  Configures eclipse java compatibility information (jdt)

  For examples see docs for EclipseProject

### project

    EclipseProject project

  Configures eclipse project information

  For examples see docs for EclipseProject

### wtp

    EclipseWtp wtp

  Configures eclipse wtp information

  For examples see docs for EclipseWtp

Method Detail

### classpath

    void classpath(Closure closure)

  Configures eclipse classpath information

  For examples see docs for EclipseClasspath

  Parameters:
    closure

### jdt

    void jdt(Closure closure)

  Configures eclipse java compatibility information (jdt)

  For examples see docs for EclipseProject

  Parameters:
    closure

### pathVariables

    void pathVariables(Map pathVariables)

  Adds path variables to be used for replacing absolute paths in classpath entries.

  If the beginning of the absolute path of a library or other path-related element matches a value of a variable, a variable entry is used. The matching part of the library path is replaced with the variable name.

  For example see docs for EclipseModel

  Parameters:
    `pathVariables` - A map with String->File pairs.

### project

    void project(Closure closure)

  Configures eclipse project information

  For examples see docs for EclipseProject

  Parameters:
    closure

### wtp

    void wtp(Closure closure)

  Configures eclipse wtp information

  For examples see docs for EclipseWtp

  Parameters:
    closure

Gradle API 1.1-rc-1